package Assigment;

import static org.testng.Assert.assertEquals;
import static org.testng.AssertJUnit.assertTrue;

import io.restassured.http.ContentType;
import org.testng.annotations.Test;

import io.restassured.RestAssured;
import io.restassured.response.Response;




public class RestAssured_GET_Example {
    @Test
    public void getRSCode(){
        //https://reqres.in/api/users?page=2  ..status code:200
        RestAssured.baseURI= "https://reqres.in";
        int responseCode=RestAssured.given().basePath("api/users?page=2")
                .queryParam("page","2")
                .when().contentType(ContentType.JSON)
                .get()
                .then().extract().statusCode();

        System.out.println(responseCode);
    }

    @Test
        public void getReqExample() {

            RestAssured.baseURI = "https://reqres.in/api";

            Response response = null;

            try {
                response = RestAssured.given()
                        .when()
                        .get("/users/2");
            } catch (Exception e) {
                e.printStackTrace();
            }

            System.out.println("Response :" + response.asString());

            assertEquals(200, response.getStatusCode());
            assertEquals("janet.weaver@reqres.in",response.jsonPath().getString("data.email"));
            assertTrue(response.jsonPath().getString("data.first_name").contains("Janet"));
        }
    @Test
    public void getPathParamExample() {

        String id = "3";

        RestAssured.baseURI = "https://reqres.in/api/users";

        Response response = null;

        try {
            response = RestAssured.given()
                    .pathParam("id", id)
                    .when()
                    .get("/{id}");
        } catch (Exception e) {
            e.printStackTrace();
        }

        System.out.println("Response :" + response.asString());
        assertEquals(200, response.getStatusCode());
        assertEquals("Wong",response.jsonPath().getString("data.last_name"));
    }
}
